Name:    rhel-devtools-en
Version: 4
Release: 0.TL4
Summary: Developer Tools Guide.
License: distributable
Group:   Documentation
URL:     http://www.redhat.com/docs/
Source:  rhel-devtools-en-%{version}.tbz
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description
Red Hat Enterprise Linux Developer Tools Guide manual introduces you to the Red
Hat Enterprise Linux Developer Tools and its documentation set. After you read
this, refer to the following documentation for details about the Red Hat
Enterprise Linux Developer Tools:

Compiler Tools:
- Using the GNU Compiler Collection (GCC)
- Using cpp, the C Preprocessor
Debugging Tools:
- Debugging with GDB
Development Tools:
- Using ld, the Gnu Linker
Auxiliary Development Tools:
- Using as, the Gnu Assembler
- Using binutils, the Gnu Binary Utilities

Since Tao Linux contains many of the same software packages as Red Hat
Enterprise Linux, this package has been included in hopes it will be of use.
Thanks to Red Hat, Inc., for publishing their documentation under the terms
of the Open Publication License V1.0; see: http://www.opencontent.org/openpub/.

Tao Linux is not a product of Red Hat, Inc., and is not sponsored by or
otherwise affiliated with Red Hat, Inc.  "Red Hat Enterprise Linux" is a
registered trademark of Red Hat, Inc.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Developer Tools Guide
Comment=Introduction to the Developer Tools and its documentation set
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Mon Sep 26 2005 Milan Kerslager <kerslage@linux.cz> 4-0.TL4
- initial version from http://www.redhat.com/docs/manuals/enterprise
